#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0x31,0xA3,0x1F,0xC4,0xA6,0x2F,0xF2,0x83,0x4B,0xEB,0x43,
		0x6E,0x47,0xFB,0x6F,0xE1,0x49,0x23,0xBA,0xB5,0xFE,0xB9,0x26,
		0xBB,0x22,0x6B,0x09,0x5A,0x18,0x85,0xC9,0x15,0x43,0x88,0xA7,
		0x70,0x00,0x48,0xA6,0xE0,0x91,0xE6,0xCC,0xFB,0x37,0x73,0xE5,
		0xA7,0x0E,0x5C,0x9A,0x86,0x64,0x03,0x15,0x96,0x11,0x0F,0x92,
		0x4E,0x1F,0xE2,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
